Permalink
Browse files

rspec 2.4 changes

  • Loading branch information...
1 parent 92e52ce commit 82a50843596342adda01eccb0f299deb79ea7d22 @mwotton committed Feb 24, 2011
Showing with 11 additions and 12 deletions.
  1. +1 −1 hubris.gemspec
  2. +1 −0 script/ci.sh
  3. +1 −4 spec/hubris_spec.rb
  4. +8 −7 spec/spec_helper.rb
View
@@ -22,7 +22,7 @@ Gem::Specification.new do |s|
s.require_paths = ["lib"]
s.add_dependency 'rake-compiler', '>= 0.7.6'
- s.add_development_dependency 'rspec', '1.3.0'
+ s.add_development_dependency 'rspec', '2.4.0'
s.add_dependency 'rake'
s.add_dependency 'open4'
s.extensions = 'Rakefile' # ext/mkrf_conf.rb'
View
@@ -17,6 +17,7 @@ rm `which Hubrify` || true
rvm 1.9.1
gem build hubris.gemspec
gem install hubris-0.0.4.gem # can we do these two in one step?
+rspec spec
#gem install bundler # i am aware how awful this is.
#bundle install
View
@@ -385,9 +385,6 @@ class ZLib
end
describe 'Performance' do
- def be_quick
- simple_matcher("a small duration") { |given| given < 0.1 }
- end
it "caches its output" do
# only relevant for inlining
@@ -401,7 +398,7 @@ class Second
end
after = Time.now
- (after-before).should be_quick
+ (after-before).should < 0.1
end
it "behaves memory-wise" do
View
@@ -1,10 +1,11 @@
-begin
- require 'spec'
-rescue LoadError
- require 'rubygems' unless ENV['NO_RUBYGEMS']
- gem 'rspec'
- require 'spec'
-end
+#begin
+# require 'spec'
+#rescue LoadError
+# require 'rubygems' unless ENV['NO_RUBYGEMS']
+# gem 'rspec'
+# require 'spec'
+#end
+require 'rspec'
$:.unshift(File.dirname(__FILE__) + '/../lib')
require 'hubris'

0 comments on commit 82a5084

Please sign in to comment.